#ifndef APP_CURRENT_COLOR_CONTROL_H
#define APP_CURRENT_COLOR_CONTROL_H

#ifdef _MSC_VER
#pragma once
#endif

#include "site.h"
#include "window.h"

#include <windows.h>

/*************************************************

	݂̐F̃Rg[̃NX

**************************************************/

APP_BEGIN_NAMESPACE

class CurrentColorControl : public Window
{
public:
	CurrentColorControl();
	virtual ~CurrentColorControl() throw();

	virtual LRESULT WindowProc(UINT msg,WPARAM wparam,LPARAM lparam);
protected:
	void OnDrawItem(DRAWITEMSTRUCT *drawItemStruct);
	UINT OnGetDlgCode() const;
	void OnLButtonDown(int x,int y);
	virtual void OnDestroy();

	void ForeRect(RECT *rect) const;
	void BackRect(RECT *rect) const;
private:
};

APP_END_NAMESPACE

#endif

