#ifndef APP_FPOINT_H
#define APP_FPOINT_H

#ifdef _MSC_VER
#pragma once
#endif

#include "site.h"

#include <assert.h>

/*************************************************

	_̍W

**************************************************/

APP_BEGIN_NAMESPACE

struct FPOINT
{
	double x,y;	

	//Z
	const FPOINT &operator+=(const FPOINT &other)
	{
		x+=other.x;
		y+=other.y;
		return *this;
	}

	//Z
	const FPOINT &operator-=(const FPOINT &other)
	{
		x-=other.x;
		y-=other.y;
		return *this;
	}

	//Ɋ|
	const FPOINT &operator*=(double other)
	{
		x*=other;
		y*=other;
		return *this;
	}
	
	//}Nʂ߂̃_~[
	void operator =(int) const
	{
		assert(false);
	}
};

//(0,0)Ԃ
inline const FPOINT OriginPoint()
{
	FPOINT point;
	point.x=point.y=0;
	return point;
}

//W̑Z
inline const FPOINT operator+ (const FPOINT &left,const FPOINT &right)
{
	FPOINT result(left);
	result+=right;
	return result;
}

//ẄZ
inline const FPOINT operator- (const FPOINT &left,const FPOINT &right)
{
	FPOINT result(left);
	result-=right;
	return result;
}

APP_END_NAMESPACE

#endif
