#ifndef APP_GENERAL_STATUS_H
#define APP_GENERAL_STATUS_H

#ifdef _MSC_VER
#pragma once
#endif

#include "site.h"
#include "fpoint.h"

/*************************************************

	Ŝ̏

**************************************************/

APP_BEGIN_NAMESPACE

//d͂̎
enum GRAVITY_TYPE
{
	GRAVITY_PARALLEL,	//s
	GRAVITY_RADIAL,		//ˏ

	GRAVITY_COUNT
};

struct GENERAL_STATUS
{
	FPOINT gravity;	//d
	FPOINT cellGravity;	//Pʂł̏d
	double lively;	//
	int gravityType;	//d͂̎
};

class Registry;

void AppInit_GeneralStatus(Registry *registry);
void AppSave_GeneralStatus(Registry *registry);
void AppQuit_GeneralStatus() throw();

const GENERAL_STATUS *GetGeneralStatus(GENERAL_STATUS *generalStatus=NULL);
void SetGeneralStatus(const GENERAL_STATUS &generalStatus);

APP_END_NAMESPACE

#endif

