#include "prefix.h"

#include "messagebox.h"
#include "string.h"
#include "verify.h"
#include "modal.h"

#include "resstring.h"

#include <windows.h>

/*************************************************

	bZ[W{bNX

**************************************************/

APP_BEGIN_NAMESPACE

int AppMessageBox(HWND parentWnd,UINT messageID,UINT type)
{
	String message;
	VERIFY(message.LoadString(messageID));
	return AppMessageBox(parentWnd,message.Get(),type);
}

int AppMessageBox(HWND parentWnd,const _TCHAR * message,UINT type)
{
	String caption;
	VERIFY(caption.LoadString(IDS_APPTITLE));

	Modal modal;
	modal.Disable();
	return ::MessageBox(parentWnd,message,caption.Get(),type);
}

APP_END_NAMESPACE
