#include "prefix.h"

#include "namedialog.h"
#include "updatecontrol.h"
#include "string.h"
#include "showerror.h"

#include "resdialog.h"
#include "resstring.h"

#include <windows.h>

/*************************************************

	O̓_CAO

**************************************************/

APP_BEGIN_NAMESPACE

class NameDialogMember
{
public:
	String name;
};

NameDialog::NameDialog()
:Dialog(IDD_NAME)
,m_m(new NameDialogMember)
{

}

NameDialog::~NameDialog() throw()
{

}

//Rg[ƕϐ̃f[^\̍XV
void NameDialog::DataExchange(UpdateControl *updater)
{
	updater->Edit(IDC_NAME,&m_m->name);
}

//ݒ
void NameDialog::SetName(const _TCHAR * name)
{
	m_m->name=name;
}

//𓾂
const _TCHAR * NameDialog::GetName() const
{
	return m_m->name.Get();
}

bool NameDialog::Apply()
{
	if(m_m->name.Length()<=0) {
		ShowError(GetHWND(),IDS_ERR_NO_NAME);
		return false;
	}
	return true;
}

APP_END_NAMESPACE
