#ifndef APP_RESOURCE_ENGLISH_H
#define APP_RESOURCE_ENGLISH_H

#ifdef APP_LANG_EN

#include "resource.h"

/*************************************************

	English Resource 

**************************************************/

//Resouce file version
#define RESOURCE_LANGUAGE_VERSION 1

#define AUTHOR	"Usinosizuku"
#define APP_TITLE	"Painticle"

#define DIALOG_FONT_SIZE	8
#define DIALOG_FONT	"MS Sans Serif"

#ifndef __BORLANDC__
# ifndef RC_INVOKED
#	define RC_INVOKED
# endif
# include <WinResrc.h>
#endif

//icon

//menu

#define MENU_FILE			"&File"
#define MENU_OPTIONS		"&Option..."
#define MENU_APP_EXIT		"E&xit\tAlt+F4"

#define MENU_EDIT			"&Edit"
#define MENU_EDIT_UNDO		"&Undo\tCtrl+Z"
#define MENU_EDIT_REDO		"&Redo\tCtrl+Y"
#define MENU_EDIT_CLEAR		"&Clear"

#define MENU_ACTION			"&Action"
#define MENU_ACTION_PAUSE	"&Pause"
#define MENU_ACTION_ERASE_ALL	"&Erase all particles"

#define MENU_VIEW			"&View"
#define MENU_VIEW_WINDOW	"&Window"
#define MENU_VIEW_TOOLBAR	"&ToolBar"
#define MENU_VIEW_STATUSBAR	"&StatusBar"
#define MENU_VIEW_GENERAL	"&General Status Panel\tF9"
#define MENU_VIEW_SPRAY		"S&pray Panel\tF10"
#define MENU_VIEW_COLOR		"&Color Panel\tF11"
#define MENU_VIEW_CATALOG	"Sp&ray Catalog Panel\tF12"
#define MENU_VIEW_ZOOM		"&Zoom"
#define MENU_VIEW_PER25		"25%(Q&uarter)"
#define MENU_VIEW_PER50		"50%(&Half)"
#define MENU_VIEW_PER75		"75%(&Smaller)"
#define MENU_VIEW_PER100	"100%(&Normal)\tCtrl+F"
#define MENU_VIEW_PER150	"150%(&Larger)"
#define MENU_VIEW_PER200	"200%(&Double)"
#define MENU_VIEW_PER300	"300%(&Triple)"
#define MENU_VIEW_PER400	"400%(&Quadraple)"
#define MENU_VIEW_MAT		"&Mat"
#define MENU_VIEW_MAT_CHECKER	"&Check"
#define MENU_VIEW_MAT_WHITE	"&White"
#define MENU_VIEW_MAT_BLACK	"&Black"

#define MENU_SHOW			"&Help"
#define MENU_SHOW_HELP		"&Help...\tF1"
#define MENU_SHOW_ABOUT		"&About..."

//Cursor

//Version Info
#define VERSIONINFO_LANGID1 "040904B0"
#define VERSIONINFO_LANGID2 0x409

//bitmap

//accelerator key

//string

#define STRING_APPTITLE APP_TITLE
#define STRING_CAPTION	"%s (%d%%)"	
#define STRING_IDLE	""
#define STRING_HELPFILE	"help\\index.html"

#define STRING_OPTIONS		"Change options.\nOptions"
#define STRING_APP_EXIT		"Quit the plug-in.\nExit"

#define STRING_EDIT_UNDO	"Undo the last action\nUndo"
#define STRING_EDIT_REDO	"Redo the previously undone action\nRedo"
#define STRING_EDIT_CLEAR	"Clear all of the picture."

#define STRING_ACTION_PAUSE		"Pause the particles moving.\nPause"
#define STRING_ACTION_ERASE_ALL	"Erase all particles.\nErase All Particles"

#define STRING_VIEW_PER25	"Show the picture 25% size.\nZoom 25%"
#define STRING_VIEW_PER50	"Show the picture 50% size.\nZoom 50%"
#define STRING_VIEW_PER75	"Show the picture 75% size.\nZoom 75%"
#define STRING_VIEW_PER100	"Show the picture 100% size.\nZoom 100%"
#define STRING_VIEW_PER150	"Show the picture 150% size.\nZoom 150%"
#define STRING_VIEW_PER200	"Show the picture 200% size.\nZoom 200%"
#define STRING_VIEW_PER300	"Show the picture 300% size.\nZoom 300%"
#define STRING_VIEW_PER400	"Show the picture 400% size.\nZoom 400%"

#define STRING_VIEW_MAT_CHECKER	"Show check pattern background.\nCheck Mat"
#define STRING_VIEW_MAT_WHITE	"Show white background.\nWhite Mat"
#define STRING_VIEW_MAT_BLACK	"Show black background.\nBlack Mat"

#define STRING_VIEW_TOOLBAR	"Show or hide the tool bar.\nShow ToolBar"
#define STRING_VIEW_STATUSBAR	"Show or hide the status bar.\nShow StatusBar"
#define STRING_VIEW_GENERAL	"Show or hide the general status panel.\nShow General Status Panel"
#define STRING_VIEW_SPRAY	"Show or hide the spray panel.\nShow Spray Panel"
#define STRING_VIEW_COLOR	"Show or hide the color panel.\nShow Color Panel"
#define STRING_VIEW_CATALOG	"Show or hide the spray catalog panel.\nShow Spray Catalog Panel"

#define STRING_SHOW_HELP	"Show the plug-in help document.\nHelp"
#define STRING_SHOW_ABOUT	"Show the plug-in information.\nAbout"

#define STRING_VIEW_ZOOM_IN		"Zoom In"
#define STRING_VIEW_ZOOM_OUT	"Zoom Out"
#define STRING_TOOL_PAINT	"Paint"
#define STRING_TOOL_ERASE	"Erase"
#define STRING_TOOL_BLUR	"Blur"

#define STRING_ERR_OUT_OF_MEMORY	"Out of memory."
#define STRING_ERR_CANT_CREATE_WINDOW	"Can't create a window."
#define STRING_ERR_INVALID_DOCUMENT_SIZE	"Invalid picture size."
#define STRING_ERR_UNKNOWN		"Can't process any error."
#define STRING_ERR_INVALID_FILE	"%s is an invalid file."
#define STRING_ERR_CANT_READ_NEW_FILE	"%s is a file for the new version."
#define STRING_ERR_CANT_ADD_LIST	"Can't add item."
#define STRING_ERR_INVALID_IMAGE_SIZE	"Invalid image size."
#define STRING_ERR_CANT_OPEN_HELPFILE	"Can't open a help file as %s."
#define STRING_ERR_RANGE_LIMIT	"Specify equal or more than %.4g to the upper limit."
#define STRING_ERR_RANGE_TURN_INTERVAL	"Specity equal or more than %.0f to the turn interval."
#define STRING_ERR_RANGE_DISPLAYING_INTERVAL	"Specity equal or more than %.0f to the displaying interval."
#define STRING_ERR_RANGE_HISTORY_MAX	"Specity equal or more than %.0f to the max of painting history."
#define	STRING_ERR_RANGE_CYCLE	"Specity equal or more than %.4g to the cycle length."
#define STRING_ERR_NO_NAME	"Specify the item name."
#define STRING_ERR_RANGE_VELOCITY_WIDTH "Specity from %.4g to %.4g to the width."
#define STRING_ERR_RANGE_ROTATION_SPEED	"Specify from %.4g to %.4g to the rotation speed."
#define STRING_ERR_RANGE_SPIN_STEP	"Specify from %.0f to a value of life to the step."
#define STRING_ERR_RANGE_SPLIT_STEP	"Specify from %.0f to a value of life to the step."
#define STRING_ERR_RANGE_SPLIT_LAG	"Specify from %.0f to a value of life to the lag."
#define STRING_ERR_RANGE_SPLIT_GENERATIONS	"Specify equal or more than %.0f to the number of the generations."

#define STRING_FORMAT_FLOAT	"%.4f"
#define STRING_FORMAT_PERCENT	"%.0f%%"
#define STRING_FORMAT_TURNS	"%.0f turns"
#define STRING_FORMAT_COUNT	"%.0fp"
#define STRING_FORMAT_PIXELS		"%.0f pixels"
#define STRING_FORMAT_FLOAT_PIXELS	"%.4f pixels"
#define STRING_FORMAT_ANGLE	"%.0f"
#define STRING_FORMAT_INTEGER	"%.0f"
#define STRING_FORMAT_DEGREES	"%.0f degrees"

#define STRING_CATALOG_NO_NAME "Untitled"
#define STRING_CATALOG_OPEN	"Select Spray Catalog File"
#define STRING_CATALOG_FILTER "Spray Catalog(*.spr)|*.spr||"
#define STRING_CATALOG_REMOVE_ALL	"Can't save the file of current spray catalog.\nTo remove current items and open the other file,push Yes button.\nTo leave current items and open the other file,push No button."

//dialog
#define CONTROL_OK	"OK"

	//options
#define CAPTION_OPTIONS "Options"
//options dialog width
#define OPTIONS_WIDTH 170

#define INDENT1	32
#define INDENT2 48

//string static control size
#define STRING_HEIGHT	9

//edit control size
#define EDIT_WIDTH	30
#define EDIT_HEIGHT 13

#define CONTROL_TURN_INTERVAL_NAME "The interval of &turns"
#define CONTROL_TURN_INTERVAL_UNIT "ms"
#define CONTROL_DISPLAYING_INTERVAL_NAME "The interval of &displaying in the screen"
#define CONTROL_DISPLAYING_INTERVAL_UNIT "turns"
#define CONTROL_HISTORY_MAX_NAME "Max of the painting &history"
#define CONTROL_HISTORY_MAX_UNIT "Times"
#define CONTROL_OPTIONS_OK	CONTROL_OK
#define CONTROL_APPLY "&Apply"
#define CONTROL_CANCEL "Cancel"

//Information dialog width
#define CAPTION_ABOUT "Information"
#define ABOUT_WIDTH 160
#define TITLE_WIDTH 30

//Panel window width
#define PANEL_WIDTH 100

//button image size
#define BUTTON_WIDTH 13
#define BUTTON_HEIGHT 12

//Angle Control Size
#define ANGLE_WIDTH 26
#define ANGLE_HEIGHT 24

//volume control size
#define VOLUME_HEIGHT 10

//checkbox size
#define CHECK_SIZE 8

//General status panel
#define CAPTION_GENERAL	"General Status"
#define CONTROL_GENERAL_PARALLEL	"Parallel"
#define CONTROL_GENERAL_RADIAL	"Radial"
#define CONTROL_GENERAL_GRAVITY	"Gravity"
#define CONTROL_GENERAL_GRAVITY_ANGLE	"The Angle of the Gravity"
#define CONTROL_DETAIL_GENERAL_GRAVITY "Gravity Details"
#define CONTROL_LIVELY	"Lively"


//Spray panel
#define CAPTION_SPRAY	"Spray"
#define CONTROL_REPULSION	"Repulsion"
#define CONTROL_GRAVITY	"Gravity"
#define CONTROL_VISCOSITY	"Viscosity"
#define CONTROL_BRAKE	"Brake"
#define CONTROL_LIFE	"Life"
#define CONTROL_VELOCITY	"Velocity"
#define CONTROL_VELOCITY_ANGLE	"The Angle of the Velocity"
#define CONTROL_LIMITED_SPEED "Limited Speed"
#define CONTROL_COUNT	"Number of Particles"
#define CONTROL_SPRAY_SIZE "Size"
#define CONTROL_THROWING "Throwing"
#define CONTROL_USE_LIMITED_SPEED	"Use Limited Speed"
#define CONTROL_SPIN	"Spin"

#define CONTROL_DETAIL_REPULSION	"Repulsion Details"
#define CONTROL_DETAIL_GRAVITY		"Gravity Details"
#define CONTROL_DETAIL_LIFE			"Life Details"
#define CONTROL_DETAIL_VELOCITY		"Velocity Details"
#define CONTROL_DETAIL_LIMITED_SPEED	"Limited Speed Details"
#define CONTROL_DETAIL_COUNT		"Number of Particles Details"
#define CONTROL_DETAIL_SPRAY_SIZE	"Size Details"
#define CONTROL_DETAIL_THROWING		"Throwing Details"
 
//Color table size
#define COLORTABLE_WIDTH 62
#define COLORTABLE_HEIGHT 58
//Current Color Box Size
#define CURRENTCOLOR_WIDTH 26
#define CURRENTCOLOR_HEIGHT 22

//Color panel
#define CAPTION_COLOR "Color"
#define CONTROL_COLOR_TABLE	"Choose Color"
#define CONTROL_COLOR_LEVEL	"Show the Hidden Color"
#define CONTROL_COLOR_CURRENT "Current Color"
#define CONTROL_COLOR_FORE_OPACITY "Fore Opacity"
#define CONTROL_COLOR_BACK_OPACITY "Back Opacity"
#define CONTROL_COLORING_SINGLE "Single Color"
#define CONTROL_COLORING_GRADATION "Gradation"
#define CONTROL_COLORING_CYCLE "Cycle"
#define CONTROL_COLORING_RANDOM "Random"
#define CONTROL_COLOR_DETAIL	"Color Details"

//Catalog panel
#define CAPTION_CATALOG  "Spray Catalog"
#define CONTROL_CATALOG_ADD	"Add"
#define CONTROL_CATALOG_REPLACE	"Replace"
#define CONTROL_CATALOG_REMOVE	"Remove"
#define CONTROL_CATALOG_OPEN	"Open"

//name input dialog
#define CAPTION_NAME	"Input name"
#define CONTROL_NAME_OK	CONTROL_OK

//Color Detail
#define CAPTION_COLOR_DETAIL	"Color Details"
#define CONTROL_CYCLE_LENGTH "Cycle Length"

//volume Limit
#define CAPTION_VOLUME_LIMIT	"Slider Control Setting"
#define CONTROL_VOLUME_LIMIT	"Upper Limit of the slider control"

//velocity details
#define CAPTION_VELOCITY_DETAIL	"Velocity Details"
#define CONTROL_VELOCITY_WIGGLE	"Wiggle"
#define CONTROL_VELOCITY_WIDTH	"Width"
#define CONTROL_VELOCITY_ROTATION_SPEED "Rotation Speed"
#define CONTROL_VELOCITY_LEFT_SPIN	"Left Spin"
#define CONTROL_VELOCITY_RIGHT_SPIN	"Right Spin"
#define CONTROL_VELOCITY_WIPER	"Wiper"
#define CONTROL_VELOCITY_RANDOM	"Random"

#define CONTROL_ANGLE_UNIT	"degrees"

//gravity details
#define CAPTION_GRAVITY_DETAIL "Gravity Details"
#define CONTROL_GRAVITY_AREA "Effective Area"

//repulsion details
#define CAPTION_REPULSION_DETAIL "Repulsion Details"
#define CONTROL_REPULSION_AREA "Effective Area"

//viscosity details
#define CAPTION_VISCOSITY_DETAIL "Viscosity Details"
#define CONTROL_VISCOSITY_AREA "Effective Area"

//Spin
#define CAPTION_SPIN	"Spin"
#define CONTROL_SPIN_USE	"Use Spin"
#define CONTROL_SPIN_STEP	"Step"
#define CONTROL_SPIN_ANGLE	"Angle"
#define CONTROL_SPIN_ANGLE_WIGGLE "Angle Wiggle"

//Split
#define CAPTION_SPLIT	"Split"
#define CONTROL_SPLIT_USE	"Use Split"
#define CONTROL_SPLIT1	"Split1"
#define CONTROL_SPLIT2	"Split2"
#define CONTROL_SPLIT_STEP	"Step"
#define CONTROL_SPLIT_ANGLE	"Angle"
#define CONTROL_SPLIT_LAG	"Lag of the Split1 and Split2"
#define CONTROL_SPLIT_GENERATIONS	"Number of the Generations"
#define CONTROL_SPLIT_ANGLE_WIGGLE	"Angle Wiggle"
#define CONTROL_SPLIT_RATE	"Rate"

#endif //APP_LANG_EN

#endif
