#ifndef APP_RES_DIALOG_H
#define APP_RES_DIALOG_H

#ifdef _MSC_VER
#pragma once
#endif

/*************************************************

	_CAO\[XIDl

**************************************************/

//_CAO
#define IDD_OPTIONS			800
#define IDD_ABOUT			801

#define IDD_GENERAL			803
#define IDD_SPRAYSTYLE		804
#define IDD_COLOR			805
#define IDD_CATALOG			806
#define IDD_NAME			807
#define IDD_COLOR_DETAIL	808
#define IDD_VOLUME_LIMIT	809
#define IDD_VELOCITY_DETAIL	810
#define IDD_GRAVITY_DETAIL	811
#define IDD_REPULSION_DETAIL	812
#define IDD_VISCOSITY_DETAIL	813
#define IDD_SPIN			814
#define IDD_SPLIT			815

//Rg[
	//IDD_OPTIONS
#define IDC_APPLY			1000
#define IDC_TURN_INTERVAL	1100
#define IDC_DISPLAYING_INTERVAL	1101
#define IDC_HISTORY_MAX		1102

	//IDD_ABOUT

	//IDD_GENERAL
#define IDC_GENERAL_GRAVITY_ANGLE	1300
#define IDC_GENERAL_GRAVITY			1301
#define IDC_GENERAL_LIVELY			1302
#define IDC_GENERAL_PARALLEL		1303
#define IDC_GENERAL_RADIAL			1304
#define IDC_DETAIL_GENERAL_GRAVITY	1305

	//IDD_SPRAYSTYLE
#define IDC_REPULSION			1400
#define IDC_GRAVITY				1401
#define IDC_BRAKE				1402
#define IDC_VISCOSITY			1403
#define IDC_VELOCITY			1404
#define IDC_VELOCITY_ANGLE		1405
#define IDC_LIMITED_SPEED		1406
#define IDC_COUNT				1407
#define IDC_LIFE				1408
#define IDC_SPRAY_SIZE			1409
#define IDC_THROWING			1410
#define IDC_USE_LIMITED_SPEED	1411
#define IDC_SPIN				1412
#define IDC_SPLIT				1413

#define IDC_DETAIL_REPULSION	1421
#define IDC_DETAIL_GRAVITY		1422
#define IDC_DETAIL_VISCOSITY	1423
#define IDC_DETAIL_BRAKE		1424
#define IDC_DETAIL_VELOCITY		1425
#define IDC_DETAIL_LIMITED_SPEED	1426
#define IDC_DETAIL_COUNT		1427
#define IDC_DETAIL_LIFE			1428
#define IDC_DETAIL_SPRAY_SIZE	1429
#define IDC_DETAIL_THROWING		1430

	//IDD_COLOR
#define IDC_COLOR_TABLE			1500
#define IDC_COLOR_LEVEL			1501
#define IDC_COLOR_CURRENT		1502
#define IDC_COLOR_FORE_OPACITY	1503
#define IDC_COLOR_BACK_OPACITY	1504
#define IDC_COLORING_SINGLE		1505
#define IDC_COLORING_GRADATION	1506
#define IDC_COLORING_CYCLE		1507
#define IDC_COLORING_RANDOM		1508
#define IDC_DETAIL_COLOR		1509

	//IDD_CATALOG
#define IDC_CATALOG_ADD			1600
#define IDC_CATALOG_REPLACE		1601
#define IDC_CATALOG_REMOVE		1602
#define IDC_CATALOG_OPEN		1603

#define IDC_CATALOG_LIST		1610

	//IDD_NAME
#define IDC_NAME				1700

	//IDD_COLOR_DETAIL
#define IDC_CYCLE_LENGTH		1800

	//IDD_VOLUE_LIMIT
#define IDC_VOLUME_LIMIT		1900

	//IDD_VELOCITY_DETAIL
#define IDC_VELOCITY_WIGGLE		2000
#define IDC_VELOCITY_WIDTH		2001
#define IDC_VELOCITY_LEFT_SPIN	2002
#define IDC_VELOCITY_RIGHT_SPIN	2003
#define IDC_VELOCITY_WIPER		2004
#define IDC_VELOCITY_RANDOM		2005
#define IDC_VELOCITY_ROTATION_SPEED	2006

	//IDD_GRAVITY_DETAIL
#define IDC_GRAVITY_AREA		2100

	//IDD_REPULSION_DETAIL
#define IDC_REPULSION_AREA		2120

	//IDD_VISCOSITY_DETAIL
#define IDC_VISCOSITY_AREA		2140

	//IDD_SPIN
#define IDC_SPIN_USE			2150
#define IDC_SPIN_STEP			2151
#define IDC_SPIN_ANGLE			2153
#define IDC_SPIN_ANGLE_WIGGLE	2154

	//IDD_SPLIT
#define IDC_SPLIT_USE			2160
#define IDC_SPLIT_SINGLE		2161
#define IDC_SPLIT_FORKED		2162
#define IDC_SPLIT_DOUBLE		2163
#define IDC_SPLIT_STEP1			2164
#define IDC_SPLIT_STEP2			2165
#define IDC_SPLIT_ANGLE1		2166
#define IDC_SPLIT_ANGLE2		2167
#define IDC_SPLIT_ANGLE_WIGGLE	2168
#define IDC_SPLIT_LAG			2169
#define IDC_SPLIT_GENERATIONS	2170
#define IDC_SPLIT_RATE			2171

#endif
