#ifndef APP_UCHAR_BUFFER_H
#define APP_UCHAR_BUFFER_H

#ifdef _MSC_VER
#pragma once
#endif

#include "site.h"

/*************************************************

	UCHAR̃obt@

**************************************************/

APP_BEGIN_NAMESPACE

class UCharBuffer
{
public:
	UCharBuffer();
	UCharBuffer(const UCharBuffer &source);
	virtual ~UCharBuffer() throw();
	const UCharBuffer &operator=(const UCharBuffer &source);

	void Alloc(int bytes);
	void Realloc(int bytes);
	void Increase(int bytes);
	void Free() throw();

	const unsigned char *Get() const;
	unsigned char *GetW();

//	int Count() const;
	int Bytes() const;
	bool IsEmpty() const;

	void Swap(UCharBuffer &other);
private:
	class BufferHolder *m_holder;
};

APP_END_NAMESPACE

#endif
