#include "prefix.h"

#include "colordetail.h"
#include "updatecontrol.h"
#include "color.h"

#include "showerror.h"

#include "resdialog.h"
#include "resstring.h"

#include <windows.h>

/*************************************************

	F̏ڍאݒ_CAO

**************************************************/

APP_BEGIN_NAMESPACE

ColorDetail::ColorDetail()
:Dialog(IDD_COLOR_DETAIL)
{

}

ColorDetail::~ColorDetail() throw()
{

}

//_CAȌ
void ColorDetail::OnInitDialog()
{
	Dialog::OnInitDialog();

	const COLOR_INFO *colorInfo=GetColorInfo();
	m_cycleLength=colorInfo->cycleLength;
}

//Rg[ƕϐ̃f[^\̍XV
void ColorDetail::DataExchange(UpdateControl *updater)
{
	updater->Edit(IDC_CYCLE_LENGTH,&m_cycleLength);
}

//Kp
bool ColorDetail::Apply()
{
	if(m_cycleLength<=0) {
		ShowError(GetHWND(),IDS_ERR_RANGE_CYCLE,1);
		return false;
	}

	COLOR_INFO colorInfo;
	GetColorInfo(&colorInfo);

	colorInfo.cycleLength=m_cycleLength;

	SetColorInfo(colorInfo);

	return true;
}

APP_END_NAMESPACE
