#ifndef APP_COMMAND_H
#define APP_COMMAND_H

#ifdef _MSC_VER
#pragma once
#endif

#include <windows.h>

#include "site.h"

/*************************************************

	j[{^̕\XV

**************************************************/

APP_BEGIN_NAMESPACE

class Command
{
public:
	Command();
	~Command();

	void SetMenu(HMENU menu,int index);
	void SetToolBar(HWND toolBar,int id);

	void SetCheck(bool isChecked);
	void SetEnable(bool isEnabled);
protected:
	void SetCheckMenu(HMENU menu,int index,bool isChecked);
	void SetEnableMenu(HMENU menu,int index,bool isEnabled);
	void SetCheckToolBar(HWND toolBar,int id,bool isChecked);
	void SetEnableToolBar(HWND toolBar,int id,bool isEnabled);

private:
	Command(const Command &source);	//`ĂȂ
	const Command &operator=(const Command &source);

	int m_type;
	union {
		struct {
			HMENU menu;
			int index;
		} m_menu;
		struct {
			HWND toolBar;
			int id;
		} m_toolBar;
	};
};

APP_END_NAMESPACE

#endif
