#ifndef APP_FILE_H
#define APP_FILE_H

#ifdef _MSC_VER
#pragma once
#endif

#include "site.h"

#include <windows.h>
#include <memory>

/*************************************************

	t@C̓ǂݏ

**************************************************/

APP_BEGIN_NAMESPACE

struct FPOINT;
class String;

class File
{
public:
	File();
	~File() throw();

	HANDLE Handle();
	DWORD Open(const _TCHAR * filename);
	void Save(const _TCHAR * filename);

	void Close();

	void WriteRaw(int value);
	void WriteRaw(double value);

	void Write(int tag,int value);
	void Write(int tag,double value);
	void Write(int tag,const FPOINT &point);
	void Write(int tag,const _TCHAR * text); 
	void Write(int tag,bool flag);

	int ReadRaw();
	void Read(int *value);
	void Read(double *value);
	void Read(FPOINT *point);
	void ReadMultiByte(String *string);
	void ReadUnicode(String *string);
	void Read(bool *flag);

	char ReadChar();
protected:
	void WriteRaw(const void *data,int bytes);
	void ReadRaw(void *data,int bytes);
	void Read(void *data,int bytes);
private:
	//`ĂȂ
	File(const File &source);
	const File &operator=(const File &source);

	const std::auto_ptr<class FileMember> m_m;
};

APP_END_NAMESPACE

#endif
