#ifndef APP_FILE_DIALOG_H
#define APP_FILE_DIALOG_H

#include "site.h"

#include <windows.h>
#include <commdlg.h>
#include <memory>
#include <tchar.h>

/*************************************************

	t@C_CAO

**************************************************/

APP_BEGIN_NAMESPACE

class FileDialog
{
public:
	FileDialog(UINT captionID,UINT filterID
		,const _TCHAR * filename,const _TCHAR * defaultExt
		,DWORD flags,HWND parentWnd);
	~FileDialog() throw();

	bool OpenFileName();
	bool SaveFileName();

	const _TCHAR * GetFileName() const;
private:
	//`Ȃ
	FileDialog();
	FileDialog(const FileDialog &source);
	const FileDialog &operator=(const FileDialog &source);

	const std::auto_ptr<class FileDialogMember> m_m;
};

APP_END_NAMESPACE

#endif
