#ifndef APP_GDI_OBJECT_H
#define APP_GDI_OBJECT_H

#ifdef _MSC_VER
#pragma once
#endif

#include <windows.h>

#include "site.h"

/*************************************************

	GDIIuWFNg̊Ǘ

**************************************************/

APP_BEGIN_NAMESPACE

class DC;

class GdiObject
{
public:
	GdiObject();
	GdiObject(HGDIOBJ object);
	GdiObject(int number);
	~GdiObject() throw();
	void Attach(HGDIOBJ object);
	void SetStockObject(int number);
	HGDIOBJ Get() const;
	void Delete() throw();
	void Select(DC *dc);
	void Deselect() throw();
	DWORD Type() const throw();

	HBRUSH GetBrush() const;
	HPEN GetPen() const;
	HBITMAP GetBitmap() const;
	HRGN GetRegion() const;
protected:
	//`ĂȂ
	GdiObject(const GdiObject &source);
	const GdiObject &operator=(const GdiObject &source);

	DC *m_dc;
	HGDIOBJ m_object;
	DWORD m_type;

};

APP_END_NAMESPACE

#endif
