#ifndef APP_GENERAL_PANEL_H
#define APP_GENERAL_PANEL_H

#ifdef _MSC_VER
#pragma once
#endif

#include "site.h"
#include "panel.h"

#include <memory>

/*************************************************

	Ŝ̏Ԃ̃pl

**************************************************/

APP_BEGIN_NAMESPACE

class UpdateControl;
struct DRAWVOLUME;

class GeneralPanel : public Panel
{
public:
	GeneralPanel();	
	virtual ~GeneralPanel() throw();

protected:
	virtual void OnInitDialog();
	virtual void ExchangeSettings(Registry *registry);
	virtual void DataExchange(UpdateControl *updater);
	virtual void OnCommand(int id,int notifyCode,HWND hwnd);
	virtual void OnControl(int id,int code,LPARAM lparam);

	void OnDetailButton(int id);

private:
	const std::auto_ptr<class GeneralPanelMember> m_m;
};


APP_END_NAMESPACE

#endif
