#ifndef APP_GRAVITY_DETAIL_H
#define APP_GRAVITY_DETAIL_H

#ifdef _MSC_VER
#pragma once
#endif

#include "site.h"
#include "limitdialog.h"

#include <memory>

/*************************************************

	͂̏ڍאݒ

**************************************************/

APP_BEGIN_NAMESPACE

class UpdateControl;

class GravityDetail : public LimitDialog
{
public:
	GravityDetail();
	virtual ~GravityDetail() throw();

	double GetEffectiveArea() const;
	void SetEffectiveArea(double area);
protected:
	virtual void OnInitDialog();
	virtual void DataExchange(UpdateControl *updater);
	virtual bool Apply();
private:
	//`Ȃ
	GravityDetail(const GravityDetail &source);
	const GravityDetail &operator=(const GravityDetail &source);

	const std::auto_ptr<class GravityDetailMember> m_m;
};

APP_END_NAMESPACE

#endif
