#include "prefix.h"

#include "modal.h"
#include "winman.h"

#include <windows.h>

/********************************************************

	[__CAO\̂߂ɃEBhEgpsɂ

********************************************************/

APP_BEGIN_NAMESPACE

int Modal::sm_count=0;

Modal::Modal()
{
	++sm_count;
}

Modal::~Modal() throw()
{
	--sm_count;
	Enable(true);
}

void Modal::Enable(bool isEnabled)
{
	if(isEnabled) {
		if(sm_count>0) {
			return;
		}
	} else {
		if(sm_count>1) {
			return;
		}
	}

	HWND frame=GetFrameHWND();
	::EnableWindow(frame,isEnabled);
	FOR(HWND hwnd=::GetWindow(frame,GW_HWNDFIRST);hwnd!=NULL
		;hwnd=::GetWindow(hwnd,GW_HWNDNEXT)) {
		LONG style=::GetWindowLong(hwnd,GWL_STYLE);
		if(!(style & WS_CHILD) && ::GetParent(hwnd)==frame) {
			::EnableWindow(hwnd,isEnabled);
		}
	}
}

void Modal::Disable()
{
	Enable(false);
}

//vύX@[__CAO\ꍇɑΉĂȂ

APP_END_NAMESPACE
