#ifndef APP_PIXIA_H
#define APP_PIXIA_H

#ifdef _MSC_VER
#pragma once
#endif

#include "site.h"

#ifndef APP_STANDALONE

#include <windows.h>

/*************************************************

	PIXIAp̃GNX|[g֐

**************************************************/

APP_BEGIN_NAMESPACE

SIZE PixiaSize();
const char * PixiaInitializeDir();

class Image;
void PixiaGetImage(Image *image);
void PixiaSetImage(const Image *image);

struct LAYERINFO;
struct SETLINEFUNC;
struct GETLINEFUNC;

extern "C"
BOOL APP_API FilterGetTitle(HWND,LPSTR info
	,BOOL *hasOptionDialog,int *version);

extern "C"
BOOL APP_API FilterProc(HWND hwnd,LAYERINFO *layer
	,SETLINEFUNC *setFunc,GETLINEFUNC *getFunc
	,LPSTR dir,LPBYTE ext);

APP_END_NAMESPACE

#endif	//!APP_STANDALONE

#endif
