#ifndef APP_SPRAY_PANEL_H
#define APP_SPRAY_PANEL_H

#ifdef _MSC_VER
#pragma once
#endif

#include "site.h"
#include "panel.h"

#include <memory>

/*************************************************

	Xv[̐ݒ̃pl

**************************************************/

APP_BEGIN_NAMESPACE

class UpdateControl;
struct DRAWVOLUME;
class Registry;

class SprayPanel : public Panel
{
public:
	SprayPanel();	
	virtual ~SprayPanel() throw();

	LRESULT WindowProc(UINT msg,WPARAM wparam,LPARAM lparam);
protected:
	virtual void OnInitDialog();
	virtual void ExchangeSettings(Registry *registry);
	virtual void DataExchange(UpdateControl *updater);
	virtual void OnCommand(int id,int notifyCode,HWND hwnd);
	virtual void OnControl(int id,int code,LPARAM lparam);
	void OnDrawVolumeValue(int itemID,DRAWVOLUME *drawVolume);
	void OnChangeStyle();
	void OnSetTool(int tool);
	void OnDetailButton(int id);
	void OnSpinButton();
	void OnSplitButton();
private:
	const std::auto_ptr<class SprayPanelMember> m_m;
};

APP_END_NAMESPACE

#endif
