#ifndef APP_VELOCITY_DETAIL_H
#define APP_VELOCITY_DETAIL_H

#ifdef _MSC_VER
#pragma once
#endif

#include "site.h"
#include "limitdialog.h"

#include <memory>

/*************************************************

	̏ڍאݒ_CAO

**************************************************/

APP_BEGIN_NAMESPACE

class UpdateControl;
struct DRAWVOLUME;

class VelocityDetail : public LimitDialog
{
public:
	VelocityDetail();	
	virtual ~VelocityDetail() throw();
	
protected:
	virtual void OnInitDialog();
	virtual void OnCommand(int id,int notifyCode,HWND hwnd);
	virtual void DataExchange(UpdateControl *updater);
	virtual bool Apply();
private:
	//`Ȃ
	VelocityDetail(const VelocityDetail &source);
	const VelocityDetail &operator=(const VelocityDetail &source);

	const std::auto_ptr<class VelocityDetailMember> m_m;
};

APP_END_NAMESPACE

#endif
