#ifndef APP_VOLUME_CONTROL_H
#define APP_VOLUME_CONTROL_H

#ifdef _MSC_VER
#pragma once
#endif

#include "site.h"
#include "window.h"

#include <windows.h>

/*************************************************

	ʃRg[̃NX

**************************************************/

APP_BEGIN_NAMESPACE

//APP_WM_CONTROL̃Rg[̖
enum 
{
	VOLUME_CHANGED,
	VOLUME_DRAW_VALUE,
};

//\@
enum VOLUME_SHOWMODE
{
	VOLUME_SHOW_FLOAT,	//ŕ\iftHgj
	VOLUME_SHOW_PERCENT,	//O1O`POOŕ\
	VOLUME_SHOW_INTEGER,	//ŕ\
	VOLUME_SHOW_PIXEL,	//hbg
	VOLUME_SHOW_FLOAT_PIXEL,	//hbgŕ\
	VOLUME_SHOW_DEGREES,	//px
	VOLUME_SHOW_OWNER,	//eEBhEŕ\

	VOLUME_SHOWMODE_MAX
};

struct DRAWVOLUME
{
	HDC hdc;
	RECT rect;
	double volume;
};

class VolumeControl : public Window
{
public:
	VolumeControl();
	virtual ~VolumeControl() throw();

	virtual LRESULT WindowProc(UINT msg,WPARAM wparam,LPARAM lparam);
	void SetRange(double lowerLimit,double upperLimit);
	double GetVolume() const;
	void SetVolume(double volume);
	void SetShowMode(int showMode);
protected:
	void OnDrawItem(DRAWITEMSTRUCT *drawItemStruct);
	UINT OnGetDlgCode() const;
	void OnLButtonDown(int x);
	void OnMouseMove(int x);
	void OnLButtonUp();
	void Change(int x);
	virtual void OnDestroy();
private:
	//`Ȃ
	VolumeControl(const VolumeControl &source);
	const VolumeControl &operator=(const VolumeControl &source);

	double m_volume;	//l
	double m_lowerLimit;	//
	double m_upperLimit;	//
	int m_showMode;	//\@
};

APP_END_NAMESPACE

#endif

